Ext.define('MyApp.controller.Main', {
	extend: 'Ext.app.Controller',

	init: function() {
		this.control({
			'#btnOverlay': {
				'tap': this.onOverlay
			}
		});
	},
	
	onOverlay: function() {
		if (!this.overlay) {
			this.overlay = Ext.Viewport.add({
				xtype: 'panel',
				modal: true,
				centered: true,
				width: 300,
				height: 200,
				styleHtmlContent: true,
				html: '<p>This is a modal.</p>',
				items: [
					{
						docked: 'top',
						xtype: 'toolbar',
						title: 'Title'
					}
				],
				scrollable: true
			});
		}

		this.overlay.show();
	}
});